Deletes a permission. permission_id and tenant is required.
Permission Level: Read-Write
DELETE /users/permissions/{identifier}
Operation id: PermissionService_DeletePermission
Tags: PermissionService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
identifier | string | Yes | The identifier value used to delete the Permission |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
identifierType | string | No | The identifier type - PERMISSION_ID: By Permission ID. This is the default option. - FRIENDLY_ID: By friendly ID. |
ownerTenantId | string | No | The tenant of the permission, Required: false |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
{
"type": "object",
"properties": {}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}